CreateReportTemplate
curl --request POST \
--url https://api.siftstack.com/api/v1/report-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagNames": [
"<string>"
],
"clientKey": "<string>",
"description": "<string>",
"organizationId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/report-templates"
payload = {
"name": "<string>",
"tagNames": ["<string>"],
"clientKey": "<string>",
"description": "<string>",
"organizationId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/report-templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tagNames\": [\n \"<string>\"\n ],\n \"clientKey\": \"<string>\",\n \"description\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"reportTemplate": {
"reportTemplateId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"rules": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"clientKey": "<string>",
"displayOrder": 123
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"clientKey": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ReportTemplateService
CreateReportTemplate
Create a report template.
POST
/
api
/
v1
/
report-templates
CreateReportTemplate
curl --request POST \
--url https://api.siftstack.com/api/v1/report-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagNames": [
"<string>"
],
"clientKey": "<string>",
"description": "<string>",
"organizationId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/report-templates"
payload = {
"name": "<string>",
"tagNames": ["<string>"],
"clientKey": "<string>",
"description": "<string>",
"organizationId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/report-templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tagNames\": [\n \"<string>\"\n ],\n \"clientKey\": \"<string>\",\n \"description\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"reportTemplate": {
"reportTemplateId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"rules": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"clientKey": "<string>",
"displayOrder": 123
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"clientKey": "<string>",
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request of a call to ReportTemplateService_CreateReportTemplate to create a report template.
The request of a call to ReportTemplateService_CreateReportTemplate to create a report template.
Initial rule order on the new template: first rule_id is display_order 0, second is 1, etc.
Show child attributes
Show child attributes
Initial template rule order follows server resolution of keys to rules (not client-defined per-key ordering).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
A successful response.
The response of a call to ReportTemplateService_CreateReportTemplate to create a report template.
Show child attributes
Show child attributes
Was this page helpful?
⌘I